Thursday, September 08, 2005

Yahoo! Toolbar for Firefox

You can now get the Yahoo! toolbar if you using either Internet Explorer 5.0+ or Firefox 1.0+. The Internet Explorer version has been out for a while; in late July, Yahoo! introduced the Firefox version. [from Yahoo! Search Blog]

No comments: